package domain


type AlibabaWdkSeriesSkuAddSkuSeriesEditResult struct {
    /*
        成功的商品编码集     */
    FailedSkuCodes  *[]string `json:"failed_sku_codes,omitempty" `

    /*
        失败的商品编码集     */
    SuccessedSkuCodes  *[]string `json:"successed_sku_codes,omitempty" `

    /*
        系列编码     */
    SeriesId  *int64 `json:"series_id,omitempty" `

}

func (s *AlibabaWdkSeriesSkuAddSkuSeriesEditResult) SetFailedSkuCodes(v []string) *AlibabaWdkSeriesSkuAddSkuSeriesEditResult {
    s.FailedSkuCodes = &v
    return s
}
func (s *AlibabaWdkSeriesSkuAddSkuSeriesEditResult) SetSuccessedSkuCodes(v []string) *AlibabaWdkSeriesSkuAddSkuSeriesEditResult {
    s.SuccessedSkuCodes = &v
    return s
}
func (s *AlibabaWdkSeriesSkuAddSkuSeriesEditResult) SetSeriesId(v int64) *AlibabaWdkSeriesSkuAddSkuSeriesEditResult {
    s.SeriesId = &v
    return s
}
